org.apache.ignite.internal.visor.cache

## Class VisorCacheJdbcType

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.cache.VisorCacheJdbcType

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorCacheJdbcType
    extends VisorDataTransferObject

Data transfer object for `JdbcType`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheJdbcType()` Create data transfer object for given cache type metadata.
`VisorCacheJdbcType(JdbcType jdbcType)` Create data transfer object for given cache type metadata.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getDatabaseSchema()`
`String` `getDatabaseTable()`
`List<VisorCacheJdbcTypeField>` `getKeyFields()`
`String` `getKeyType()`
`List<VisorCacheJdbcTypeField>` `getValueFields()`
`String` `getValueType()`
`static List<VisorCacheJdbcType>` `list(javax.cache.configuration.Factory factory)`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheJdbcType

    public VisorCacheJdbcType()

Create data transfer object for given cache type metadata.

#### VisorCacheJdbcType

    public VisorCacheJdbcType(JdbcType jdbcType)

Create data transfer object for given cache type metadata.

Parameters:
  `jdbcType` - JDBC type.

### Method Detail

#### list

    public static List<VisorCacheJdbcType> list(javax.cache.configuration.Factory factory)

Parameters:
  `factory` - Store factory to extract JDBC types info.
Returns:
  Data transfer object for cache type metadata configurations.

#### getDatabaseSchema

    public String getDatabaseSchema()

Returns:
  Schema name in database.

#### getDatabaseTable

    public String getDatabaseTable()

Returns:
  Table name in database.

#### getKeyType

    public String getKeyType()

Returns:
  Key class used to store key in cache.

#### getValueType

    public String getValueType()

Returns:
  Value class used to store value in cache.

#### getKeyFields

    public List<VisorCacheJdbcTypeField> getKeyFields()

Returns:
  Key fields.

#### getValueFields

    public List<VisorCacheJdbcTypeField> getValueFields()

Returns:
  Value fields.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019